summaryrefslogtreecommitdiffstats
path: root/source/n/whois/whois.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/whois/whois.SlackBuild')
-rwxr-xr-xsource/n/whois/whois.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/source/n/whois/whois.SlackBuild b/source/n/whois/whois.SlackBuild
new file mode 100755
index 000000000..26baacf8c
--- /dev/null
+++ b/source/n/whois/whois.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=4.7.26
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-whois
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf whois-$VERSION
+tar xvf $CWD/whois_$VERSION.tar.gz || exit 1
+cd whois-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make || exit
+
+mkdir -p $PKG/usr/bin
+cat whois > $PKG/usr/bin/whois
+chmod 755 $PKG/usr/bin/whois
+
+( cd po
+ make
+ for n in *.mo ; do \
+ l=`basename $n .mo`; \
+ /usr/bin/install -c -m 755 -d $PKG/usr/share/locale/$l; \
+ /usr/bin/install -c -m 755 -d $PKG/usr/share/locale/$l/LC_MESSAGES; \
+ /usr/bin/install -c -m 644 $n $PKG/usr/share/locale/$l/LC_MESSAGES/whois.mo; \
+ done
+)
+
+mkdir -p $PKG/usr/man/man1
+cat whois.1 | gzip -9c > $PKG/usr/man/man1/whois.1.gz
+
+mkdir -p $PKG/usr/doc/whois-$VERSION
+cp -a \
+ COPYING* README \
+ $PKG/usr/doc/whois-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/whois-$VERSION-$ARCH-$BUILD.txz
+